reinstate an initscript for the backend so that /etc/iproute2/rt_tables gets cleaned...
[planetlab-umts-tools.git] / umtsd
diff --git a/umtsd b/umtsd
index 8d1dae1..4fbf773 100755 (executable)
--- a/umtsd
+++ b/umtsd
@@ -21,17 +21,9 @@ command=`echo ${line%% *}`
 rest=`echo ${line#* }`
 
 case "$command" in
-    #init)
-       #logger "Initialitation of the UMTS inteface requested by $sliver"
-       #init_umts $sliver;
-       #
-       #if [[ $? != 0 ]] ; then
-       #       echo "Failed"
-       #fi
-    #;;
-
     start)
        logger "Starting the umts connection for $sliver"
+       
        start_umts $sliver;
        
        if [[ $? != 0 ]] ; then
@@ -52,11 +44,15 @@ case "$command" in
     add)
        logger "Request to add a destination by $sliver for the UMTS connection";       
        
+       if ! check_sliceip; then
+          exit 1
+       fi
+       
        if ! valid_dotted_quad "$rest"; then
                echo "Failed"
        else
                add_destination "$rest" $sliver;
-               if [[ $? != 0 ]] ; then
+               if [[ $? == 0 ]] ; then
                        echo "OK"
                else
                        echo "Failed"
@@ -68,6 +64,10 @@ case "$command" in
     del)
        logger "Request to del a destination by $sliver for the UMTS connection";
        
+       if ! check_sliceip; then
+          exit 1
+       fi
+       
        if ! valid_dotted_quad "$rest"; then
                echo "Failed"
        else
@@ -97,7 +97,7 @@ case "$command" in
 esac
 
 
-#sleep 1
+sleep 1
 echo "EOF"